import { TableSettingButtonSlimmer } from './table-setting-button-slimmer.abstract';
import { VegaRichTextTableSetting } from '../../vega-rich-text-table-setting';
/**
 * Slimmer dedicated to building the merge cells button.
 */
export declare class MergeCellsButtonSlimmer extends TableSettingButtonSlimmer {
  isMergeCellsDropdownOpen: VegaRichTextTableSetting['isMergeCellsDropdownOpen'];
  constructor();
  protected renderBtnWrapper(renderBtn: () => HTMLElement): HTMLElement;
  protected isSelected(): boolean;
  protected isDisabled(): boolean;
  protected handleClick(): void;
  /**
   * Render the action list.
   *
   * @returns {HTMLElement} The action list element.
   */
  private renderActionList;
  private handleDropdownItemClick;
  private handleDropdownVisibilityChange;
  private selectSingleCell;
  private getMergeDirectionDisabledMap;
}
